[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TFieldDefs.Add

Add a new field definition to the collection.

## Declaration

Source position: db.pas line 216

`public function TFieldDefs.Add(`
`const AName: string;`
`ADataType: TFieldType;`
`ASize: Integer;`
`APrecision: Integer;`
`ARequired: Boolean;`
`AReadOnly: Boolean;`
`AFieldNo: Integer;`
`ACodePage: TSystemCodePage`
`):TFieldDef; overload; function TFieldDefs.Add(`
`const AName: string;`
`ADataType: TFieldType;`
`ASize: Word;`
`ARequired: Boolean;`
`AFieldNo: Integer`
`):TFieldDef; overload; procedure TFieldDefs.Add(`
`const AName: string;`
`ADataType: TFieldType;`
`ASize: Word;`
`ARequired: Boolean`
`); overload; procedure TFieldDefs.Add(`
`const AName: string;`
`ADataType: TFieldType;`
`ASize: Word`
`); overload; procedure TFieldDefs.Add(`
`const AName: string;`
`ADataType: TFieldType`
`); overload;`

## Arguments

`AName` |  | Value for the Name property of the new item.
`ADataType` |  | Value for the DataType property of the new item.
`ASize` |  | Value for the Size property of the new item.
`APrecision` |  | Precision
`ARequired` |  | Value for the Required property of the new item.
`AReadOnly` |  | Read-only field
`AFieldNo` |  | Number of the field
`ACodePage` |  | Codepage field

## Function result

Add new fieldDef result

## Arguments

`AName` |  | Value for the Name property of the new item.
`ADataType` |  | Value for the DataType property of the new item.
`ASize` |  | Value for the Size property of the new item.
`ARequired` |  | Value for the Required property of the new item.
`AFieldNo` |  | Number of the field

## Arguments

`AName` |  | Value for the Name property of the new item.
`ADataType` |  | Value for the DataType property of the new item.
`ASize` |  | Value for the Size property of the new item.
`ARequired` |  | Value for the Required property of the new item.

## Arguments

`AName` |  | Value for the Name property of the new item.
`ADataType` |  | Value for the DataType property of the new item.
`ASize` |  | Value for the Size property of the new item.

## Arguments

`AName` |  | Value for the Name property of the new item.
`ADataType` |  | Value for the DataType property of the new item.

## Description

Add adds a new item to the collection and fills in the Name, DataType, Size and Required properties of the newly added item with the provided parameters.

## Errors

If an item with name AName already exists in the collection, then an exception will be raised.

## See also

TFieldDefs.AddFieldDef |  | Add new TFieldDef